[145798] users/devans/GNOME-3/stable/dports/gnome/metacity

devans at macports.org devans at macports.org
Wed Feb 17 09:09:40 PST 2016


Revision: 145798
          https://trac.macports.org/changeset/145798
Author:   devans at macports.org
Date:     2016-02-17 09:09:40 -0800 (Wed, 17 Feb 2016)
Log Message:
-----------
metacity: update to version 3.18.2, update autogen.sh from upstream git, no longer requires gnome-common to build, disable compile warnings.

Modified Paths:
--------------
    users/devans/GNOME-3/stable/dports/gnome/metacity/Portfile
    users/devans/GNOME-3/stable/dports/gnome/metacity/files/autogen.sh
    users/devans/GNOME-3/stable/dports/gnome/metacity/files/patch-no-as-needed.diff

Modified: users/devans/GNOME-3/stable/dports/gnome/metacity/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/metacity/Portfile	2016-02-17 16:20:25 UTC (rev 145797)
+++ users/devans/GNOME-3/stable/dports/gnome/metacity/Portfile	2016-02-17 17:09:40 UTC (rev 145798)
@@ -5,7 +5,7 @@
 PortGroup           compiler_blacklist_versions 1.0
 
 name                metacity
-version             3.18.1
+version             3.18.2
 set branch          [join [lrange [split ${version} .] 0 1] .]
 description         A window manager for the adult in you.
 long_description    ${description}
@@ -18,13 +18,12 @@
 
 use_xz              yes
 
-checksums           rmd160  79f5f1b8b87f68e5167770d71d64bef6c7dec2fe \
-                    sha256  5ccb2343413b6ba4d75f300b494524bde7fe77ec818f7f73e3b232777ce6dad8
+checksums           rmd160  9efd4f7415831b3e804b4e853e1da45818d2cf3a \
+                    sha256  e3ef981d0f159c57a8bf23f04755a5fe34f634aaada52fb30cd7b05dd43243dc
 
 depends_build       port:pkgconfig \
                     port:intltool \
                     port:itstool \
-                    port:gnome-common \
                     port:autoconf \
                     port:automake \
                     port:libtool
@@ -63,6 +62,7 @@
 configure.args      --x-includes=${prefix}/include \
                     --x-libraries=${prefix}/lib \
                     --enable-debug \
+                    --disable-compile-warnings \
                     --disable-silent-rules \
                     --disable-schemas-compile \
                     --disable-themes-documentation \

Modified: users/devans/GNOME-3/stable/dports/gnome/metacity/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/metacity/files/autogen.sh	2016-02-17 16:20:25 UTC (rev 145797)
+++ users/devans/GNOME-3/stable/dports/gnome/metacity/files/autogen.sh	2016-02-17 17:09:40 UTC (rev 145798)
@@ -1,22 +1,40 @@
-#!/bin/bash
+#!/bin/sh
+#
 # Run this to generate all the initial makefiles, etc.
 
-srcdir=`dirname $0`
+srcdir=$(dirname "$0")
 test -z "$srcdir" && srcdir=.
 
-REQUIRED_AUTOMAKE_VERSION=1.10
+if [ ! -f $srcdir/configure.ac ]; then
+  echo "**Error**: Directory "\'$srcdir\'" does not look like the top-level" \
+       "project directory."
+  exit 1
+fi
 
-(test -f $srcdir/configure.ac \
-  && test -d $srcdir/src) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level metacity directory"
-    exit 1
-}
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac")
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from GNOME Subversion (or from"
-    echo "your distribution's package manager)."
-    exit 1
-}
+if [ "$#" = 0 ] && [ -z "$NOCONFIGURE" ]; then
+  echo "**Warning**: I am going to run 'configure' with no arguments." >&2
+  echo "If you wish to pass any to it, please specify them on the '$0'" \
+       "command line." >&2
+fi
 
-. gnome-autogen.sh
+set -x
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+{ set +x; } 2>/dev/null
+
+if [ -z "$NOCONFIGURE" ]; then
+  set -x
+  $srcdir/configure "$@" || exit 1
+  { set +x; } 2>/dev/null
+
+  if [ "$1" = "--help" ]; then
+    exit 0
+  else
+    echo "Now type 'make' to compile $PKG_NAME." || exit 1
+  fi
+else
+  echo "Skipping configure process."
+fi

Modified: users/devans/GNOME-3/stable/dports/gnome/metacity/files/patch-no-as-needed.diff
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/metacity/files/patch-no-as-needed.diff	2016-02-17 16:20:25 UTC (rev 145797)
+++ users/devans/GNOME-3/stable/dports/gnome/metacity/files/patch-no-as-needed.diff	2016-02-17 17:09:40 UTC (rev 145798)
@@ -1,9 +1,9 @@
---- m4/ax_compiler_flags_ldflags.m4.orig	2015-09-23 10:00:56.000000000 -0700
-+++ m4/ax_compiler_flags_ldflags.m4	2015-09-23 10:01:22.000000000 -0700
+--- m4/ax_compiler_flags_ldflags.m4.orig	2016-02-15 12:40:48.000000000 -0800
++++ m4/ax_compiler_flags_ldflags.m4	2016-02-17 08:51:43.000000000 -0800
 @@ -49,7 +49,6 @@
  
      # Base flags
-     AX_APPEND_COMPILE_FLAGS([ dnl
+     AX_APPEND_LINK_FLAGS([ dnl
 -        -Wl,--no-as-needed dnl
          $3 dnl
      ],ax_warn_ldflags_variable,[$ax_compiler_flags_test])
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160217/854e1c1c/attachment-0001.html>


More information about the macports-changes mailing list